#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 13. Programming

- Prev

  Python Modules

- Next

  Ruby-3.4.2

- Up
- Home

# Python Dependencies

## Introduction to Python Dependencies

Python modules listed in Python Modules have dependencies that are not referenced by other packages in BLFS. These dependencies are listed here. They will not get updated on regular basis, unless a more recent version is needed.

### Important

In BLFS, we normally build and install Python 3 modules with pip3. Please take care that the pip3 install commands in the book should be run as `root` unless it's for a Python virtual environment. Running pip3 install as a non-`root` user may seem to work fine, but it will cause the installed module to be inaccessible by other users.

pip3 install will not reinstall an already installed module by default. For using the pip3 install command to upgrade a module (for example, from meson-0.61.3 to meson-0.62.0), insert `--upgrade` into the command line. If it's really necessary to downgrade a module or reinstall the same version for some reason, insert `--force-reinstall` into the command line.

- alabaster-1.0.0

- attrs-25.1.0

- babel-2.17.0

- certifi-2025.1.31

- chardet-5.2.0

- charset-normalizer-3.4.1

- commonmark-0.9.1

- editables-0.5

- hatchling-1.27.0

- hatch-fancy-pypi-readme-24.1.0

- hatch_vcs-0.4.0

- idna-3.10

- imagesize-1.4.1

- iniconfig-2.0.0

- Markdown-3.7

- meson_python-0.17.1

- msgpack-1.1.0

- pathspec-0.12.1

- pluggy-1.5.0

- pyproject-metadata-0.9.0

- pytz-2025.1

- setuptools_scm-8.1.0

- smartypants-2.0.1

- snowballstemmer-2.2.0

- sphinxcontrib-applehelp-2.0.0

- sphinxcontrib-devhelp-2.0.0

- sphinxcontrib-htmlhelp-2.1.0

- sphinxcontrib-jquery-4.1

- sphinxcontrib-jsmath-1.0.1

- sphinxcontrib-qthelp-2.0.0

- sphinxcontrib-serializinghtml-2.0.0

- trove-classifiers-2025.1.15.22

- typogrify-2.1.0

- urllib3-2.3.0

- webencodings-0.5.1

## Alabaster-1.0.0

### Introduction to Alabaster Module

The Alabaster package is a theme for the sphinx documentation system. Although developed separately, it is the default theme for sphinx.

This package is known to build and work properly using an LFS 12.3 platform.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/a/alabaster/alabaster-1.0.0.tar.gz

- Download MD5 sum: c6c2173e5565fb12f08bef410ea50f72

- Download size: 24 KB

- Estimated disk space required: 160 KB

- Estimated build time: less than 0.1 SBU

### Installation of Alabaster

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

This package does not come with a test suite.

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user alabaster

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.13/site-packages/alabaster and /usr/lib/python3.13/site-packages/alabaster-1.0.0.dist-info

## Attrs-25.1.0

### Introduction to Attrs Module

The Attrs package is a python module that allows for writing attributes without extra boilerplate.

This package is known to build and work properly using an LFS 12.3 platform.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/a/attrs/attrs-25.1.0.tar.gz

- Download MD5 sum: 338069d6f69126086d589b2cb44f4c73

- Download size: 776 KB

- Estimated disk space required: 7 MB (add 78 MB for tests)

- Estimated build time: less than 0.1 SBU (0.2 SBU for tests)

#### Attrs Dependencies

##### Required

hatch-fancy-pypi-readme-24.1.0 and hatch_vcs-0.4.0

##### Optional (for testing)

pytest-8.3.4, cloudpickle, hypothesis, Pympler, mypy, pytest-mypy-plugins, pytest-xdist[psutil], and zope.interface

### Installation of Attrs

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user attrs

To test the installation, run:

    python3 -m venv --system-site-packages testenv           &&
    testenv/bin/pip3 install 'attrs[tests]'                  &&
    PATH=$PWD/testenv/bin:$PATH testenv/bin/python -m pytest

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.13/site-packages/attr, /usr/lib/python3.13/site-packages/attrs, and /usr/lib/python3.13/site-packages/attrs-25.1.0.dist-info

## babel-2.17.0

### Introduction to Babel Module

The Babel package is an integrated collection of utilities that assist in internationalizing and localizing Python applications, with an emphasis on web-based applications.

This package is known to build and work properly using an LFS 12.3 platform.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/B/Babel/babel-2.17.0.tar.gz

- Download MD5 sum: 726d2ed119255a011d248ac0c9caa24a

- Download size: 9.5 MB

- Estimated disk space required: 94 MB (with tests)

- Estimated build time: 0.1 SBU (with tests)

#### Babel Dependencies

##### Required

pytz-2025.1

##### Optional (for testing)

pytest-8.3.4, Python-3.13.2 (with the sqlite module), freezegun, and pytest-cov

### Installation of Babel

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user Babel

Assuming pytest-8.3.4 is installed, but the other optional dependencies are not, the installation can be tested with the following commands:

    python3 -m venv --system-site-packages testenv &&
    source testenv/bin/activate                    &&
    pip3 install pytest-cov freezegun              &&
    python3 /usr/bin/pytest
    deactivate

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: pybabel
Installed Libraries: None
Installed Directories: /usr/lib/python3.13/site-packages/babel and /usr/lib/python3.13/site-packages/Babel-2.17.0.dist-info

##### Short Descriptions

pybabel | is a command-line interface for working with message catalogs

## certifi-2025.1.31

### Introduction to Certifi Module

The certifi module provides Mozilla’s carefully curated collection of Root Certificates for validating the trustworthiness of SSL certificates while verifying the identity of TLS hosts.

This package is known to build and work properly using an LFS 12.3 platform.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/c/certifi/certifi-2025.1.31.tar.gz

- Download MD5 sum: 6d326c5b0649c4dee817837c192f3824

- Download size: 164 KB

- Estimated disk space required: 856 KB

- Estimated build time: less than 0.1 SBU

### Installation of certifi

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user certifi

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.13/site-packages/certifi and /usr/lib/python3.13/site-packages/certifi-2025.1.31.dist-info

## Chardet-5.2.0

### Introduction to chardet Module

Chardet is a universal character encoding detector.

This package is known to build and work properly using an LFS 12.3 platform.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/c/chardet/chardet-5.2.0.tar.gz

- Download MD5 sum: cc2d8cc9a751641463b4f7cfecad2ffa

- Download size: 2 MB

- Estimated disk space required: 12 MB (add 1.1 MB for tests)

- Estimated build time: less than 0.1 SBU (0.3 SBU for tests)

#### Chardet Dependencies

##### Optional (for testing)

pytest-8.3.4

### Installation of Chardet

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user chardet

To test the installation issue pytest.

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: chardetect
Installed Libraries: None
Installed Directories: /usr/lib/python3.13/site-packages/chardet and /usr/lib/python3.13/site-packages/chardet-5.2.0.dist-info

##### Short Descriptions

chardetect | is a Universal Character Encoding Detector

## Charset-normalizer-3.4.1

### Introduction to charset-normalizer Module

The charset-normalizer library helps with reading text from an unknown character encoding.

This package is known to build and work properly using an LFS 12.3 platform.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/c/charset-normalizer/charset_normalizer-3.4.1.tar.gz

- Download MD5 sum: 1d808eb9efaf70bf0ec3b800f3c7dca8

- Download size: 124 KB

- Estimated disk space required: 1.1 MB (add 15 MB for tests)

- Estimated build time: less than 0.1 SBU (with tests)

#### Charset-normalizer Dependencies

##### Required

setuptools_scm-8.1.0

##### Optional (for testing)

pytest-8.3.4, Python-3.13.2 (rebuilt after installing SQLite-3.49.1), and pytest-cov

### Installation of Charset-normalizer

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user charset-normalizer

Assuming pytest-8.3.4 is installed, but the other optional dependencies are not, the installation can be tested with the following commands:

    python3 -m venv --system-site-packages testenv &&
    source testenv/bin/activate                    &&
    pip3 install pytest-cov                        &&
    python3 /usr/bin/pytest
    deactivate

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: normalizer
Installed Libraries: None
Installed Directories: /usr/lib/python3.13/site-packages/charset_normalizer and /usr/lib/python3.13/site-packages/charset_normalizer-3.4.1.dist-info

##### Short Descriptions

normalizer | is a Universal Charset Detector (discovers originating encoding and normalizes text to unicode)

## Commonmark-0.9.1

### Introduction to Commonmark Module

Commonmark Python parser for the CommonMark Markdown specification.

This package is known to build and work properly using an LFS 12.3 platform.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/c/commonmark/commonmark-0.9.1.tar.gz

- Download MD5 sum: cd1dc70c4714d9ed4117a40490c25e00

- Download size: 94 KB

- Estimated disk space required: 1.3 MB (add 30 MB for tests)

- Estimated build time: less than 0.1 SBU (0.1 SBU for tests)

#### Commonmark Dependencies

##### Optional (for testing)

pytest-8.3.4, flake8, and hypothesis

### Installation of Commonmark

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user commonmark

Assuming pytest-8.3.4 is installed and the other optional dependency is not, the installation can be tested with:

    python3 -m venv --system-site-packages testenv &&
    source testenv/bin/activate                    &&
    pip3 install hypothesis                        &&
    python3 /usr/bin/pytest commonmark/tests/unit_tests.py
    python3 commonmark/tests/run_spec_tests.py
    deactivate

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: cmark
Installed Libraries: None
Installed Directories: /usr/lib/python3.13/site-packages/commonmark and /usr/lib/python3.13/site-packages/commonmark-0.9.1.dist-info

### Short Descriptions

cmark | processes Markdown according to the CommonMark specification

## Editables-0.5

### Introduction to Editables Module

Editables is python library for creating “editable wheels.”

This package is known to build and work properly using an LFS 12.3 platform.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/e/editables/editables-0.5.tar.gz

- Download MD5 sum: 520de8c3a9dc5dfb2b365d104541c9de

- Download size: 4.6 KB

- Estimated disk space required: 180 KB

- Estimated build time: less than 0.1 SBU

#### Editables Dependencies

##### Optional (for testing)

pytest-8.3.4

### Installation of Editables

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user editables

To test the installation, issue: pytest.

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.13/site-packages/editables and /usr/lib/python3.13/site-packages/editables-0.5.dist-info

## Hatchling-1.27.0

### Introduction to Hatchling Module

Hatchling is an extensible, standards compliant build backend for python modules.

This package is known to build and work properly using an LFS 12.3 platform.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/h/hatchling/hatchling-1.27.0.tar.gz

- Download MD5 sum: 6ffb3087c9b6a9ffbfc1bb394f7ed1a8

- Download size: 60 KB

- Estimated disk space required: 2.3 MB

- Estimated build time: less than 0.1 SBU

#### Hatchling Dependencies

##### Required

editables-0.5, packaging-24.2, pathspec-0.12.1, pluggy-1.5.0, and trove-classifiers-2025.1.15.22

### Installation of Hatchling

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

This package does not come with a working test suite.

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user hatchling

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: hatchling
Installed Libraries: None
Installed Directories: /usr/lib/python3.13/site-packages/hatchling and /usr/lib/python3.13/site-packages/hatchling-1.27.0.dist-info

### Short Descriptions

hatchling | is a python module builder

## Hatch-Fancy-Pypi-Readme-24.1.0

### Introduction to Hatch-Fancy-Pypi-Readme Module

Hatch-Fancy-Pypi-Readme is a hatch plugin filling the readme field into the metadata of a Python module from markup language documentation files of the module.

This package is known to build and work properly using an LFS 12.3 platform.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/h/hatch-fancy-pypi-readme/hatch_fancy_pypi_readme-24.1.0.tar.gz

- Download MD5 sum: f5f9e639f066c91f8e623ec6231beae9

- Download size: 32 KB

- Estimated disk space required: 388 KB

- Estimated build time: less than 0.1 SBU

#### Hatch-Fancy-Pypi-Readme Dependencies

##### Required

hatchling-1.27.0

##### Optional (for testing)

pytest-8.3.4 and build

### Installation of Hatch-Fancy-Pypi-Readme

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user hatch-fancy-pypi-readme

To test the installation, make sure pytest-8.3.4 is installed and run:

    python3 -m venv --system-site-packages testenv            &&
    testenv/bin/pip3 install 'hatch-fancy-pypi-readme[tests]' &&
    testenv/bin/python -m pytest

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.13/site-packages/hatch_fancy_pypi_readme and /usr/lib/python3.13/site-packages/hatch_fancy_pypi_readme-24.1.0.dist-info

## Hatch_vcs-0.4.0

### Introduction to Hatch-vcs Module

Hatch_vcs is a Hatch plugin for versioning with several Version Control Systems ( VCS ).

This package is known to build and work properly using an LFS 12.3 platform.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/h/hatch-vcs/hatch_vcs-0.4.0.tar.gz

- Download MD5 sum: d801fe7c3e5955307748f2790bbb3488

- Download size: 9.9 KB

- Estimated disk space required: 436 KB (with tests)

- Estimated build time: less than 0.1 SBU (with tests)

#### Hatch_vcs Dependencies

##### Required

hatchling-1.27.0 and setuptools_scm-8.1.0

##### Optional (for testing)

git-2.48.1 and pytest-8.3.4

### Installation of Hatch_vcs

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user hatch_vcs

To test the installation, issue (`HOME=` prevents the `.gitconfig` file in the home directory from interfering the tests): HOME= pytest.

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.13/site-packages/hatch_vcs and /usr/lib/python3.13/site-packages/hatch_vcs-0.4.0.dist-info

## Idna-3.10

### Introduction to Idna Module

The Idna module provides support for the Internationalized Domain Names in Applications (IDNA) protocol as specified in RFC 5891.

This package is known to build and work properly using an LFS 12.3 platform.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/i/idna/idna-3.10.tar.gz

- Download MD5 sum: 28448b00665099117b6daa9887812cc4

- Download size: 188 KB

- Estimated disk space required: 1.7 MB (with tests)

- Estimated build time: less than 0.1 SBU (with tests)

#### Idna Dependencies

##### Optional (for testing)

pytest-8.3.4

### Installation of Idna

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user idna

To test the installation, run pytest.

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.13/site-packages/idna and /usr/lib/python3.13/site-packages/idna-3.10.dist-info

## Imagesize-1.4.1

### Introduction to Imagesize Module

The imagesize package analyzes image file headers and returns the image size and DPI. It works with JPEG/JPEG 2000/PNG/GIF/TIFF/SVG/Netpbm/WebP formats.

This package is known to build and work properly using an LFS 12.3 platform.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/i/imagesize/imagesize-1.4.1.tar.gz

- Download MD5 sum: 5a40586a25c07e1a8f16f6267252c321

- Download size: 1.2 MB

- Estimated disk space required: 1.8 MB (with tests)

- Estimated build time: less than 0.1 SBU (with tests)

#### Imagesize Dependencies

##### Optional (for testing)

pytest-8.3.4 and requests-2.32.3

### Installation of Imagesize

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user imagesize

The tests for this package are known to be broken. To test the installation anyway, run pytest.

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.13/site-packages/imagesize and /usr/lib/python3.13/site-packages/imagesize-1.4.1.dist-info

## Iniconfig-2.0.0

### Introduction to Iniconfig Module

Iniconfig is a small and simple INI-file parser module.

This package is known to build and work properly using an LFS 12.3 platform.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/i/iniconfig/iniconfig-2.0.0.tar.gz

- Download MD5 sum: 3c030b3f51dcc3aca585de05635600e4

- Download size: 4.5 KB

- Estimated disk space required: 168 KB

- Estimated build time: less than 0.1 SBU

#### Iniconfig Dependencies

##### Required

hatch_vcs-0.4.0

### Installation of Iniconfig

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

This package does not come with a test suite.

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user iniconfig

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.13/site-packages/iniconfig and /usr/lib/python3.13/site-packages/iniconfig-2.0.0.dist-info

## Markdown-3.7

### Introduction to Markdown Module

Markdown is a Python parser for John Gruber's Markdown specification.

This package is known to build and work properly using an LFS 12.3 platform.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/M/Markdown/markdown-3.7.tar.gz

- Download MD5 sum: de4cdc6db368c7386f733d6dd8c858b1

- Download size: 348 KB

- Estimated disk space required: 4.1 MB (add 27 MB for tests)

- Estimated build time: less than 0.1 SBU (with tests)

#### Markdown Dependencies

##### Optional (for testing)

pytest-8.3.4, PyYAML-6.0.2, and coverage

### Installation of Markdown

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user Markdown

Assuming pytest-8.3.4 and PyYAML-6.0.2 are installed and the other optional dependency is not, the installation can be tested with:

    python3 -m venv --system-site-packages testenv &&
    source testenv/bin/activate                    &&
    pip3 install coverage                          &&
    python3 /usr/bin/pytest --ignore=tests/test_syntax/extensions/test_md_in_html.py
    deactivate

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: markdown_py
Installed Libraries: None
Installed Directories: /usr/lib/python3.13/site-packages/markdown and /usr/lib/python3.13/site-packages/Markdown-3.7.dist-info

### Short Descriptions

markdown_py | converts markdown files to (x)html

## Meson_python-0.17.1

### Introduction to Meson_python Module

The Meson_python module contains a Python build backend (PEP 517) for Meson projects.

This package is known to build and work properly using an LFS 12.3 platform.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/m/meson_python/meson_python-0.17.1.tar.gz

- Download MD5 sum: bf1299782f02e4bb590a437bd140fd12

- Download size: 80 KB

- Estimated disk space required: 1.3 MB

- Estimated build time: less than 0.1 SBU

#### Meson_python Dependencies

##### Required

pyproject-metadata-0.9.0

##### Recommended (Runtime)

patchelf-0.18.0

##### Optional (for testing)

cython-3.0.12, git-2.48.1, pytest-8.3.4, Python-3.13.2 (rebuilt after installing SQLite-3.49.1), build, and pytest-mock

### Installation of Meson_python

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

This package does not come with a test suite.

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user meson_python

To test the installation, make sure git-2.48.1, patchelf-0.18.0, and pytest-8.3.4 are installed, and Python-3.13.2 has been rebuilt after installing SQLite-3.49.1, then issue (`HOME=` prevents the `.gitconfig` file in the home directory from interfering the tests):

    python3 -m venv --system-site-packages testenv &&
    testenv/bin/pip3 install 'meson_python[test]'  &&
    HOME= testenv/bin/python -m pytest

Two tests named `test_missing_version` and `test_pep621` are known to fail with pyproject-metadata-0.8.0 or later.

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.13/site-packages/meson_python and /usr/lib/python3.13/site-packages/meson_python-0.17.1.dist-info

## Msgpack-1.1.0

### Introduction to Msgpack Module

Msgpack is an efficient binary serialization format. It lets you exchange data among multiple languages like JSON. But it's faster and smaller. This package provides CPython bindings for reading and writing Msgpack data.

This package is known to build and work properly using an LFS 12.3 platform.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/m/msgpack/msgpack-1.1.0.tar.gz

- Download MD5 sum: e5769d4ab610491ac561c84fde4cf4a7

- Download size: 164 KB

- Estimated disk space required: 1.9 MB (add 0.3 MB for tests)

- Estimated build time: less than 0.1 SBU

#### Msgpack Dependencies

##### Required

cython-3.0.12

##### Optional (for testing)

pytest-8.3.4

### Installation of Msgpack

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user msgpack

To test the installation issue pytest.

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.13/site-packages/msgpack-1.1.0.dist-info and /usr/lib/python3.13/site-packages/msgpack

## Pathspec-0.12.1

### Introduction to Pathspec Module

Pathspec is a utility library for pattern matching of file paths.

This package is known to build and work properly using an LFS 12.3 platform.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/p/pathspec/pathspec-0.12.1.tar.gz

- Download MD5 sum: 2b26ad1981bfa23748e115f00085624c

- Download size: 45 KB

- Estimated disk space required: 912 KB (with tests)

- Estimated build time: less than 0.1 SBU (with tests)

#### Pathspec Dependencies

##### Optional (for testing)

pytest-8.3.4

### Installation of Pathspec

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user pathspec

To test the installation, issue pytest.

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.13/site-packages/pathspec and /usr/lib/python3.13/site-packages/pathspec-0.12.1.dist-info

## Pluggy-1.5.0

### Introduction to Pluggy Module

The Pluggy package gives users the ability to extend or modify the behaviour of a host program by installing a plugin for that program. The plugin code will run as part of normal program execution, changing or enhancing certain aspects of it. In essence, pluggy enables function hooking so a user can build “pluggable” systems.

This package is known to build and work properly using an LFS 12.3 platform.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/p/pluggy/pluggy-1.5.0.tar.gz

- Download MD5 sum: ac0870be78ba0ee227a5c3955efeba59

- Download size: 68 KB

- Estimated disk space required: 588 KB (add 18 MB for tests)

- Estimated build time: less than 0.1 SBU (with tests)

#### Pluggy Dependencies

##### Recommended

setuptools_scm-8.1.0

##### Optional (for testing)

pytest-8.3.4

### Installation of Pluggy

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user pluggy

To test the installation, issue: pytest.

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.13/site-packages/pluggy and /usr/lib/python3.13/site-packages/pluggy-1.5.0.dist-info

## Pyproject-Metadata-0.9.0

### Introduction to Pyproject-Metadata Module

The Pyproject-Metadata module contains a data class for PEP 621 metadata with support for “core metadata” (PEP 643) generation.

This package is known to build and work properly using an LFS 12.3 platform.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/p/pyproject-metadata/pyproject_metadata-0.9.0.tar.gz

- Download MD5 sum: d947b3c632f4aee9cf23bb5950ac02f9

- Download size: 8 KB

- Estimated disk space required: 124 KB

- Estimated build time: less than 0.1 SBU

#### Pyproject-Metadata Dependencies

##### Required

packaging-24.2

##### Optional (for testing)

pytest-8.3.4

### Installation of Pyproject-Metadata

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user pyproject-metadata

To test the installation, issue: pytest.

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.13/site-packages/pyproject_metadata and /usr/lib/python3.13/site-packages/pyproject_metadata-0.9.0.dist-info

## Pytz-2025.1

### Introduction to Pytz Module

The Pytz library brings the IANA tz database into Python. It allows accurate and cross-platform timezone calculations.

This package is known to build and work properly using an LFS 12.3 platform.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/p/pytz/pytz-2025.1.tar.gz

- Download MD5 sum: b51879337eb45a56947f91e82ec83ef1

- Download size: 316 KB

- Estimated disk space required: 6.2 MB (with tests)

- Estimated build time: less than 0.1 SBU (with tests)

#### Pytz dependencies

##### Optional (for testing)

pytest-8.3.4

### Installation of Pytz

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user pytz

To test the installation, run pytest. A few warnings are issued.

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.13/site-packages/pytz and /usr/lib/python3.13/site-packages/pytz-2025.1.dist-info

## Setuptools_scm-8.1.0

### Introduction to Setuptools_scm Module

The Setuptools_scm package is used to extract Python package versions from git or hg metadata instead of declaring them.

This package is known to build and work properly using an LFS 12.3 platform.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/s/setuptools_scm/setuptools_scm-8.1.0.tar.gz

- Download MD5 sum: d8046dce093a94dc382b68b45f6a6257

- Download size: 70 KB

- Estimated disk space required: 1.6 MB (with tests)

- Estimated build time: less than 0.1 SBU (add 0.4 SBU for tests)

#### Setuptools_scm Dependencies

##### Required

packaging-24.2

##### Optional (for testing)

git-2.48.1, Mercurial-6.9.2, pytest-8.3.4, Sudo-1.9.16p2, and build

### Installation of Setuptools_scm

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user setuptools_scm

To test the installation, make sure pytest-8.3.4 is installed and run (`HOME=` prevents the `.gitconfig` file in the home directory from interfering the tests):

    python3 -m venv --system-site-packages testenv &&
    testenv/bin/pip3 install build                 &&
    TZ=UTC HOME= testenv/bin/python -m pytest

If git-2.48.1 and/or Mercurial-6.9.2 are not installed, the tests depending on the missing one(s) will be skipped. Some tests may invoke Sudo-1.9.16p2 and request a password.

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.13/site-packages/setuptools_scm and /usr/lib/python3.13/site-packages/setuptools_scm-8.1.0.dist-info

## Smartypants-2.0.1

### Introduction to Smartypants Module

Smartypants translates plain ASCII punctuation characters into “smart” typographic punctuation HTML entities.

This package is known to build and work properly using an LFS 12.3 platform.

#### Package Information

- Download (HTTP): https://github.com/leohemsted/smartypants.py/archive/v2.0.1/smartypants.py-2.0.1.tar.gz

- Download MD5 sum: 27957540f4718e892039b2ed208c78f3

- Download size: 24 KB

- Estimated disk space required: 344 KB

- Estimated build time: less than 0.1 SBU

#### Smartypants Dependencies

##### Optional (for testing)

docutils-0.21.2, Pygments-2.19.1, and pytest-8.3.4

### Installation of Smartypants

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

This package does not come with a working test suite.

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user smartypants

To test the results, issue:

    sed 's/assertEquals/assertEqual/' -i tests/test_cli.py &&
    cp /usr/bin/smartypants . &&
    pytest

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: smartypants
Installed Libraries: None
Installed Directories: /usr/lib/python3.13/site-packages/smartypants-2.0.1.dist-info

### Short Descriptions

smartypants | translates ASCII punctuation to HTML punctuation.

## Snowballstemmer-2.2.0

### Introduction to Snowballstemmer Module

The Snowballstemmer package is a small string processing language for creating stemming algorithms for use in Information Retrieval, plus a collection of stemming algorithms implemented using it. Stemming maps different forms of the same word to a common “stem” — for example, the English stemmer maps connection, connections, connective, connected, and connecting to connect. Running a search for connected would also find documents which only have the other forms.

This package is known to build and work properly using an LFS 12.3 platform.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/s/snowballstemmer/snowballstemmer-2.2.0.tar.gz

- Download MD5 sum: 4332ddc7bbee0f344a03915b2ad59a54

- Download size: 85 KB

- Estimated disk space required: 3.8 MB

- Estimated build time: less than 0.1 SBU

### Installation of Snowballstemmer

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

This package does not come with a test suite.

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user snowballstemmer

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.13/site-packages/snowballstemmer and /usr/lib/python3.13/site-packages/snowballstemmer-2.2.0.dist-info

## Sphinxcontrib-applehelp-2.0.0

### Introduction to Sphinxcontrib-applehelp Module

The Sphinxcontrib-applehelp package is a Sphinx extension which outputs Apple help books.

This package is known to build and work properly using an LFS 12.3 platform.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/s/sphinxcontrib-applehelp/sphinxcontrib_applehelp-2.0.0.tar.gz

- Download MD5 sum: e16bb1d6199f686d411c180e64a8e831

- Download size: 20 KB

- Estimated disk space required: 1.0 MB (with tests)

- Estimated build time: less than 0.1 SBU

#### Sphinxcontrib-applehelp Dependencies

##### Optional (for testing)

pytest-8.3.4 and sphinx-8.2.1 (circular dependency)

### Installation of Sphinxcontrib-applehelp

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user sphinxcontrib-applehelp

To test the installation, run pytest. Several warnings may be issued, due to the use of deprecated functions.

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.13/site-packages/sphinxcontrib and /usr/lib/python3.13/site-packages/sphinxcontrib_applehelp-2.0.0.dist-info

## Sphinxcontrib-devhelp-2.0.0

### Introduction to Sphinxcontrib-devhelp Module

The Sphinxcontrib-devhelp package is a Sphinx extension which outputs Devhelp documents.

This package is known to build and work properly using an LFS 12.3 platform.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/s/sphinxcontrib-devhelp/sphinxcontrib_devhelp-2.0.0.tar.gz

- Download MD5 sum: 79ef5937b8397f724f4fb065073cd24c

- Download size: 16 KB

- Estimated disk space required: 984 MB (with tests)

- Estimated build time: less than 0.1 SBU (with tests)

#### Sphinxcontrib-devhelp Dependencies

##### Optional (for testing)

pytest-8.3.4 and sphinx-8.2.1 (circular dependency)

### Installation of Sphinxcontrib-devhelp

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user sphinxcontrib-devhelp

To test the installation, run pytest.

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.13/site-packages/sphinxcontrib and /usr/lib/python3.13/site-packages/sphinxcontrib_devhelp-2.0.0.dist-info

## Sphinxcontrib-htmlhelp-2.1.0

### Introduction to Sphinxcontrib-htmlhelp Module

The Sphinxcontrib-htmlhelp package is a Sphinx extension which renders HTML help files.

This package is known to build and work properly using an LFS 12.3 platform.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/s/sphinxcontrib-htmlhelp/sphinxcontrib_htmlhelp-2.1.0.tar.gz

- Download MD5 sum: 1326f55f6bea49ab6a846c0088bc369e

- Download size: 24 KB

- Estimated disk space required: 1.2 MB (with tests)

- Estimated build time: less than 0.1 SBU (with tests)

#### Sphinxcontrib-htmlhelp Dependencies

##### Optional (for testing)

pytest-8.3.4, sphinx-8.2.1 (circular dependency), and html5lib-1.1

### Installation of Sphinxcontrib-htmlhelp

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user sphinxcontrib-htmlhelp

If the optional dependencies are installed, the package can be tested with:

    pytest

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.13/site-packages/sphinxcontrib and /usr/lib/python3.13/site-packages/sphinxcontrib_htmlhelp-2.1.0.dist-info

## Sphinxcontrib-jquery-4.1

### Introduction to Sphinxcontrib-jquery Module

The Sphinxcontrib-jquery package is a Sphinx extension which includes jQuery on newer Sphinx releases.

This package is known to build and work properly using an LFS 12.3 platform.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/s/sphinxcontrib-jquery/sphinxcontrib-jquery-4.1.tar.gz

- Download MD5 sum: 46ea52845b17343ed6c61e6963fb265d

- Download size: 120 KB

- Estimated disk space required: 552 KB

- Estimated build time: less than 0.1 SBU

#### Sphinxcontrib-jquery Dependencies

##### Required

sphinx-8.2.1

##### Optional (for testing)

pytest-8.3.4

### Installation of Sphinxcontrib-jquery

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

This package does not come with a test suite.

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user sphinxcontrib-jquery

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.13/site-packages/sphinxcontrib and /usr/lib/python3.13/site-packages/sphinxcontrib_jquery-4.1.dist-info

## Sphinxcontrib-jsmath-1.0.1

### Introduction to Sphinxcontrib-jsmath Module

The Sphinxcontrib-jsmath package is a Sphinx extension which renders display math in HTML via JavaScript.

This package is known to build and work properly using an LFS 12.3 platform.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/s/sphinxcontrib-jsmath/sphinxcontrib-jsmath-1.0.1.tar.gz

- Download MD5 sum: e45179f0a3608b6766862e0f34c23b62

- Download size: 5.7 KB

- Estimated disk space required: 324 KB (with tests)

- Estimated build time: less than 0.1 SBU (with tests)

#### Sphinxcontrib-jsmath Dependencies

##### Optional (for testing)

pytest-8.3.4 and sphinx-8.2.1 (circular dependency)

### Installation of Sphinxcontrib-jsmath

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user sphinxcontrib-jsmath

The installation can be tested with the following commands:

    sed -i 's/text()/read_&/' tests/test_jsmath.py &&
    pytest

the sed ... command is needed because of a change in Sphinx API for versions greater than 5.0.

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.13/site-packages/sphinxcontrib and /usr/lib/python3.13/site-packages/sphinxcontrib_jsmath-1.0.1.dist-info

## Sphinxcontrib-qthelp-2.0.0

### Introduction to Sphinxcontrib-qthelp Module

The Sphinxcontrib-qthelp package is a Sphinx extension which outputs QtHelp documents.

This package is known to build and work properly using an LFS 12.3 platform.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/s/sphinxcontrib-qthelp/sphinxcontrib_qthelp-2.0.0.tar.gz

- Download MD5 sum: ed4f32003b71a54ac3d68aa651cb6573

- Download size: 20 KB

- Estimated disk space required: 18 MB (with tests)

- Estimated build time: less than 0.1 SBU (with tests)

#### Sphinxcontrib-qthelp Dependencies

##### Optional (for testing)

pytest-8.3.4, sphinx-8.2.1 (circular dependency), and defusedxml

### Installation of Sphinxcontrib-qthelp

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user sphinxcontrib-qthelp

The installation can be tested with the following commands:

    python3 -m venv --system-site-packages testenv &&
    testenv/bin/pip3 install defusedxml            &&
    testenv/bin/python -m pytest

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.13/site-packages/sphinxcontrib and /usr/lib/python3.13/site-packages/sphinxcontrib_qthelp-2.0.0.dist-info

## Sphinxcontrib-serializinghtml-2.0.0

### Introduction to Sphinxcontrib-serializinghtml Module

The Sphinxcontrib-serializinghtml package is a Sphinx extension which outputs “serialized” HTML files (json and pickle).

This package is known to build and work properly using an LFS 12.3 platform.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/s/sphinxcontrib_serializinghtml/sphinxcontrib_serializinghtml-2.0.0.tar.gz

- Download MD5 sum: b536ce248d5ca134a30018692a17c6ca

- Download size: 16 KB

- Estimated disk space required: 1.1 MB (with tests)

- Estimated build time: less than 0.1 SBU (with tests)

#### Sphinxcontrib-serializinghtml Dependencies

##### Optional (for testing)

pytest-8.3.4 and sphinx-8.2.1 (circular dependency)

### Installation of Sphinxcontrib-serializinghtml

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user sphinxcontrib-serializinghtml

To test the installation, first install sphinx-8.2.1, then run pytest.

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.13/site-packages/sphinxcontrib and /usr/lib/python3.13/site-packages/sphinxcontrib_serializinghtml-2.0.0.dist-info

## Trove-Classifiers-2025.1.15.22

### Introduction to Trove-Classifiers Module

Trove-Classifiers is a Python library to encompass all valid PyPI classifiers used to categorize projects and releases per PEP 301, for example `Topic :: System :: Filesystems` and `Development Status :: 6 - Mature`.

This package is known to build and work properly using an LFS 12.3 platform.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/t/trove_classifiers/trove_classifiers-2025.1.15.22.tar.gz

- Download MD5 sum: 3656424a10a761108fa8250033ffe3d4

- Download size: 16 KB

- Estimated disk space required: 276 KB

- Estimated build time: less than 0.1 SBU

#### Trove-Classifiers Dependencies

##### Optional (for testing)

pytest-8.3.4

### Installation of Trove-Classifiers

First, hard code the package version into `setup.py` to work around an issue causing the generated wheel to contain an incorrect version string when the calver module is not installed:

    sed -i '/calver/s/^/#/;$iversion="2025.1.15.22"' setup.py

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user trove-classifiers

To test the installation, issue: pytest.

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.13/site-packages/trove_classifiers and /usr/lib/python3.13/site-packages/trove_classifiers-2025.1.15.22.dist-info

## Typogrify-2.1.0

### Introduction to Typogrify Module

Typogrify provides filters to enhance web typography, including support for Django and Jinja templates.

This package is known to build and work properly using an LFS 12.3 platform.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/t/typogrify/typogrify-2.1.0.tar.gz

- Download MD5 sum: 7cc9a0a1de988329add3982519dc7971

- Download size: 13 KB

- Estimated disk space required: 404 KB

- Estimated build time: less than 0.1 SBU

#### Typogrify Dependencies

##### Required

smartypants-2.0.1

### Installation of Typogrify

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

This package does not come with a test suite.

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user typogrify

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.13/site-packages/typogrify and /usr/lib/python3.13/site-packages/typogrify-2.1.0.dist-info

## Urllib3-2.3.0

### Introduction to Urllib3 Module

The Urllib3 module is a powerful, user-friendly HTTP client for Python. It brings many critical features that are missing from the Python standard libraries.

This package is known to build and work properly using an LFS 12.3 platform.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/u/urllib3/urllib3-2.3.0.tar.gz

- Download MD5 sum: 6388afd062cf2e1ef27843738629dbc1

- Download size: 304 KB

- Estimated disk space required: 3.2 MB (add 38 MB for tests)

- Estimated build time: less than 0.1 SBU (1.6 SBU for tests)

#### Urllib3 Dependencies

##### Required

hatchling-1.27.0

##### Optional (for tests)

pytest-8.3.4, httpx, hypercorn, mock, PySocks, pytest-timeout, python-dateutil, quart, quart-trio, tornado, trio, and trustme

### Installation of Urllib3

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user urllib3

Assuming pytest-8.3.4 is installed, but the other optional dependencies are not, the installation can be tested with the following commands:

    python3 -m venv --system-site-packages testenv &&
    source testenv/bin/activate                    &&
    pip3 install trustme         \
                 tornado         \
                 python-dateutil \
                 mock            \
                 pysocks         \
                 pytest-timeout  \
                 trio            \
                 hypercorn       \
                 quart           \
                 quart_trio      \
                 httpx           &&
    python3 /usr/bin/pytest
    deactivate

As many as 37 errors are known to occur due to slight behavior changes in the external Python modules above, when combined with Python 3.13.2.

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.13/site-packages/urllib3 and /usr/lib/python3.13/site-packages/urllib3-2.3.0.dist-info

## webencodings-0.5.1

### Introduction to Webencodings Module

The webencodings module is a Python implementation of the WHATWG Encoding standard.

This package is known to build and work properly using an LFS 12.3 platform.

#### Package Information

- Download (HTTP): https://files.pythonhosted.org/packages/source/w/webencodings/webencodings-0.5.1.tar.gz

- Download MD5 sum: 32f6e261d52e57bf7e1c4d41546d15b8

- Download size: 12 KB

- Estimated disk space required: 164 KB

- Estimated build time: less than 0.1 SBU

### Installation of webencodings

Build the module:

    pip3 wheel -w dist --no-build-isolation --no-deps --no-cache-dir $PWD

Now, as the `root` user:

    pip3 install --no-index --find-links dist --no-user webencodings

### Command Explanations

`-w dist`: builds the appropriate "wheel" for this module in the directory `dist`.

`--no-build-isolation`: tells pip3 to run the build in the system environment instead of creating a temporary build environment.

`--no-deps`: prevents pip3 from building wheels for the project's dependencies.

`--no-index`: ignores the package index (only looking at --find-links URLs instead).

`--find-links dist`: looks for links to archives such as wheel (.whl) files in the directory `dist`.

`--no-cache-dir`: disables the cache to prevent a warning when installing as the `root` user.

`--no-user`: Prevent mistakenly running the install command as a non-root user.

`--upgrade`: Upgrade the package to the newest available version. This option is used with the install command if a version of the package is already installed.

`--force-reinstall`: Reinstall the package even if it is up-to-date. This option is used with the install command if reinstalling the package or reverting to an earlier version of the package.

`--no-deps`: Do not install package dependencies. This option may be needed with the --upgrade or --force-reinstall options.

### Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/lib/python3.13/site-packages/webencodings and /usr/lib/python3.13/site-packages/webencodings-0.5.1.dist-info

- Prev

  Python Modules

- Next

  Ruby-3.4.2

- Up
- Home